Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class Timer16Bit.OCRnxPairedRegister

    java.lang.Object
      avrora.sim.RWRegister
          avrora.sim.mcu.Timer16Bit.PairedRegister
              avrora.sim.mcu.Timer16Bit.OCRnxPairedRegister

All Implemented Interfaces:
  ActiveRegister

Enclosing class:
  Timer16Bit

protected class Timer16Bit.OCRnxPairedRegister
extends Timer16Bit.PairedRegister

The normal 16-bit read behavior described in the doc for PairedRegister does not apply for the OCRnx registers. Reads on the OCRnxH registers are direct.

Field Summary

Fields inherited from class avrora.sim.RWRegister
`value`

Method Summary
`byte` | `read()` The `read()` method reads the 8-bit value of the IO register as a byte.
`boolean` | `readBit(int bit)` The `readBit()` method reads a single bit from the IO register.

Methods inherited from class avrora.sim.mcu.Timer16Bit.PairedRegister
`write, writeBit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### read

    public byte read()

  Description copied from class: `RWRegister`
  The `read()` method reads the 8-bit value of the IO register as a byte. For simple `RWRegister` instances, this simply returns the internally stored value.

  Specified by:
    `read` in interface `ActiveRegister`
  Overrides:
    `read` in class `Timer16Bit.PairedRegister`

### readBit

    public boolean readBit(int bit)

  Description copied from class: `RWRegister`
  The `readBit()` method reads a single bit from the IO register.

  Specified by:
    `readBit` in interface `ActiveRegister`
  Overrides:
    `readBit` in class `Timer16Bit.PairedRegister`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD